################################################################################
#    (A)GIS: A Geophysical Information System. Using GMT and Tcl/Tk to map     #
#               geophysical data sets.                                         #
#                                                                              #
#    Copyright (C) 1998  Thorsten W. Becker, Alexander Braun                   #
#                                                                              #
#    This program is free software; you can redistribute it and/or modify      #
#    it under the terms of the GNU General Public License as published by      #
#    the Free Software Foundation; either version 2 of the License, or         #
#    (at your option) any later version.                                       #
#                                                                              #
#    This program is distributed in the hope that it will be useful,           #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of            #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             #
#    GNU General Public License for more details.                              #
#                                                                              #
#                                                                              #
#    You should have received a copy of the GNU General Public License         #
#    along with this program; see the file COPYING.  If not, write to          #
#    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,          #
#    Boston, MA 02111-1307, USA.                                               #
#                                                                              #
################################################################################

################################################################################
# agis_init.tcl -- startup procedures
#
# part of the (A)GIS package
#
################################################################################

# create some of the files as empty, the script already executable

exec touch $batcherr
exec touch $batchfile
exec chmod u+x $batchfile

# temporarily move the $env(PWD)/.gmtdefault file (if there is one) 
# and tell the user later in the agis.tcl file
# Otherwise, put a standard .gmtdefaults file temporarily in the current directory

set changed_gmtdefaults  [ exec $agis_root/agis_helper_handle_gmtdefaults 1 $agis_root  ]

 


